## okay-com-lib



#### 基于okay框架快速产品开发平台



注意：框架中使用到 v-viewer 大图预览插件，使用本插件之前，请确保你的项目已经安装好了 v-viewer 插件。



##### 安装方式

```
npm安装：
npm i okay-com-lib -S

yarn安装(推荐):
yarn add okay-com-lib
```



##### 完整引入

```
在 main.js 中写入以下内容
import okayUi from 'okay-com-lib'
Vue.use(okayUi)
```



##### 完整组件列表和引入方式

```
import Vue from 'vue';
import {
  okayUpload,
  okayBrowse
} from 'okay-com-lib';

Vue.use(okayUpload);
Vue.use(okayBrowse);
```



##### 页面按需引入

```
// 引入组件 例如：okayUpload 
import { okayUpload } from 'okay-com-lib'

//注册组件
components: {
  okayUpload
}
```



##### 1、上传组件

```JavaScript
//组件调用
<okay-upload 
  ownerId="fdb6c1cf6b474e9bb84386bc4ac9c6e7" 
  ownerType="A-E10" 
  resType="image" 
  tips="请选择图片" 
  maxNum="8"
>
</okay-upload>

```



#### 参数说明

| 参数 | 说明 | 类型 |默认值 |
| --- | --- | :-- |--- |
| ownerId | 主体所属主键值 | string |— |
| ownerType | 主体所属类型 | string |— |
| resType | 数字资源分类 | string |— |
| tips | 上传按钮文字修改 | string |— |
| maxNum | 支持上传最大个数 | string/number |— |
| useType | 数字资源用途 | string/number |— |
| size | 图片区域大小 | string |220px |
| type | 编辑：edit，预览：preview | string |edit |



##### 2、预览组件

```JavaScript
//引入组件
import { okayBrowse }  from 'okay-com-lib'

//注册组件
components: {
  okayBrowse
}

//组件调用
<okay-browse 
  url="http://pic-bucket.ws.126.net/photo/0005/2022-11-10/HLRCCFI8SBUM0005NOS.jpg" 
  resType="image" 
  attachName="图片描述"
>
</okay-browse>

```



#### 参数说明

| 参数 | 说明 | 类型 |默认值 |
| --- | --- | :-- |--- |
| url | 资源路径 | string |— |
| resType | 数字资源分类 | string |— |
| attachName | 文件标题 | string |— |
| size | 图片区域大小 | string |220px |
| canClick | 是否开启点击操作 | Boolean |true |
